Bug 496826 - Review Request: ipa-mincho-fonts - Japanese Mincho-typeface OpenType font by IPA
Review Request: ipa-mincho-fonts - Japanese Mincho-typeface OpenType font by IPA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-21 07:05 EDT by Akira TAGOH
Modified: 2009-04-23 07:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-23 07:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-04-21 07:05:32 EDT
Spec URL: http://tagoh.fedorapeople.org/ipa-mincho-fonts/ipa-mincho-fonts.spec
SRPM URL: http://tagoh.fedorapeople.org/ipa-mincho-fonts/ipa-mincho-fonts-003.01-1.fc10.src.rpm

IPA Font is a Japanese OpenType fonts that is JIS X 0213:2004
compliant, provided by Information-technology Promotion Agency, Japan.

This package contains Mincho style font.
Comment 2 Parag AN(पराग) 2009-04-22 04:18:08 EDT
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1314105
+ rpmlint output for SRPM and for RPM.
ipa-mincho-fonts.src: W: invalid-license IPA
ipa-mincho-fonts.noarch: W: invalid-license IPA
==> ignored as its present in wiki list. rpmlint need to be updated.

+ source files match upstream url
583645bf37f787b2edec30e7d763e8b3  ipam00301.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts packaging guidelines used.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
Comment 3 Akira TAGOH 2009-04-22 05:59:35 EDT
Thanks for reviewing.

New Package CVS Request
Package Name: ipa-mincho-fonts
Short Description: Japanese Mincho-typeface OpenType font by IPA
Owners: tagoh
Branches: devel F-11 F-10 F-9
InitialCC: fonts-sig
Comment 4 Jens Petersen 2009-04-22 22:17:57 EDT
cvs done
Comment 5 Akira TAGOH 2009-04-23 07:39:28 EDT
available on koji now. thanks.

Note You need to log in before you can comment on or make changes to this bug.